const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo
Component({
  /**
   * 组件的属性列表
   */
  properties: {
    isAuthorization: Boolean
  },

  /**
   * 组件的初始数据
   */
  data: {
    couponNum: '2',
    userInfo: {},
    hasUserInfo: false,
    env: envInfo.env,
  },

  /**
   * 组件的方法列表
   */
  methods: {
    //再想想
    close() {
      this.setData({
        isAuthorization: false
      })
    },
    //立即兑换
    query() {

    },
    _getUserInfo(res = {}) {
      this.setData({
        isAuthorization: false
      })
      const userInfo = res.detail || {}
      if (res.detail.userInfo) {
        console.log('点击了同意')
        this.setUserInfo()
        // let token = buyer-token;
        utils.getUserInfoByBtn(userInfo).then(({ token = '', data = {} }) => {
          wx.setStorageSync('_accreditUserInfo', userInfo)
          wx.hideNavigationBarLoading()
          if (token) {
            app.globalData.userNo = token.split('###')[0]
            wx.setStorageSync('token', token)
          } else {
            wx.setStorageSync('token', '')
          }
          if (data && data.isMember === '1') {
            app.globalData.openCard = true
            app.globalData.userInfo = wx.getStorageSync('_userInfo')
            cEvent.notify('openCardSuccess', data)
          }
          wx.setStorageSync('_baseUserInfo', data)

          this.setUserInfo()
        }).catch(err => {
          if (err && err.rspCode === -1) {
            wx.showToast({
              title: `会员系统异常请稍后重试!`,
              icon: 'none'
            })
          }
        })
      } else {
        console.log('点击了取消')
        this.setData({
          isAuthorization: false
        })
      }

    },
    setUserInfo: function (e) {
      console.log('开卡')
      // wxService.router(`/pages/userCenter/userCenter`)

      if (!app.globalData.openCard) { // 没有开卡并且需要开卡
        wxService.openCard()
        return false
      }
      const urls = getCurrentPages()
      setTimeout(() => {
        const item = urls[0].options
        if (item.route) {
          try {
            const options = JSON.parse(item.options)
            wxService.router(`/${item.route}`).search(options).replace()
          } catch (e) {
            wx.switchTab({
              url: '/pages/userCenter/userCenter'
            })
          }
        } else {
          wx.switchTab({
            url: '/pages/userCenter/userCenter'
          })
        }
      }, 200)

    }
  }
})
