// pages/coupons.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    nav:[
      {
        type:'1',
        name:'可使用'
      },{
        type:'2',
        name:'已失效'
      }
    ],
    navIndex:'1',
    pageNo: 1,
    pageSize: 10,
    queryData:{
        //"couponId": 0,
        //"memberId": 0,
        //"status": ""
    },
    totalPages: 0,
    totalElements: 0,
    invalidTotalElements: 0,
    couponList: [],
    invalidCouponList: [],
    currentTab: 0,
    noMoreCoupon: false,
    noMoreCouponInvalid: false
  },
    //滑动切换
    swiperTab: function (e) {
      var that = this;
      that.setData({
        currentTab: e.detail.current
      });
    },
    //点击切换
    clickTab: function (e) {
      var that = this;
      if (this.data.currentTab === e.target.dataset.current) {
        return false;
      } else {
        that.setData({
          currentTab: e.target.dataset.current
        })
      }
    },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {},
  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      'queryData.status': this.data.navIndex
    })
    this.getCouponList(this.data.pageNo,this.data.pageSize)
  },

  //切换tab
  // switchTab(e){
  //   this.setData({
  //     navIndex: e.currentTarget.dataset.index,
  //     'queryData.status': e.currentTarget.dataset.index
  //   })
  //   this.getCouponList(this.data.pageNo,this.data.pageSize)
  // },

  handelPresentCouponCode(e) {
    let data = e.currentTarget.dataset
    wxService.router(`/pages/couponDetail/couponDetail`).search(data)
  },

  //获取优惠券列表
  getCouponList(pageNo,pageSize){
    wx.showLoading({
      title: '加载中'
    })
    this.setData({
      'queryData.status': this.data.navIndex
    })
    // const params = this.data.queryData
    const params = {}
    wxService.post(`/coupon/coupon/listWithMember?number=${pageNo}&size=${pageSize}`, params).then(res => {
      const {result,data} = res.data
      if(result == 0){
         wx.hideLoading()
         this.setData({
          couponList: this.data.pageNo == 1? [...data.content]: [...this.data.couponList,...data.content],
          totalPages: data.totalPages,
          totalElements: data.totalElements
         })
      }

    }).finally(() => {
      wx.hideLoading();
    })
  },
  /**
 * 页面相关事件处理函数--监听用户下拉动作
 */
  onPullDownRefresh: function () {},
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.pageNo < this.data.totalPages) {
      this.setData({
        pageNo: this.data.pageNo + 1,
        // loadDataDone: true
      })
      this.getCouponList(this.data.pageNo,this.data.pageSize)
    } else {
      this.setData({
        noMoreCoupon: true
      })
    }
  },
})